
import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id("com.android.application")
    id ("org.jetbrains.kotlin.android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.paint.sweet.drawing"
    compileSdk = 36
    buildFeatures {
        dataBinding = true
    }
    defaultConfig {
        //com.paint.sweet.drawing
        applicationId = "com.paint.sweet.drawing"
        minSdk = 24
        targetSdk = 36
        versionCode = 2
        versionName = "2.0"
        setProperty("archivesBaseName", "Sweet Drawing_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
    buildFeatures{
        viewBinding = true
    }
}

dependencies {

    implementation("androidx.appcompat:appcompat:1.7.1")
    implementation("com.google.android.material:material:1.13.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")

    val camerax_version = "1.5.1"
    implementation ("androidx.camera:camera-core:${camerax_version}")
    implementation ("androidx.camera:camera-camera2:${camerax_version}")
    implementation ("androidx.camera:camera-lifecycle:${camerax_version}")
    implementation ("androidx.camera:camera-view:${camerax_version}")
    implementation ("androidx.camera:camera-extensions:${camerax_version}")
    implementation("com.google.android.material:material:1.9.0")



    //sdk
    implementation(files("libs/TopOnLibrary_11_06_18_02-release.aar"))
    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
    //-----------------------------------------------TopOn(Mintegral、Pangle、UnitAds、Digital Turbine(Fyber)、Chartboost&Helium、Ironsource、Liftoff(Vungle)、Inmobi、Start.io、Bigo)
    //TU (Necessary)
    implementation("com.thinkup.sdk:core-tpn:6.5.36")
    implementation("com.thinkup.sdk:nativead-tpn:6.5.36")
    implementation("com.thinkup.sdk:banner-tpn:6.5.36")
    implementation("com.thinkup.sdk:interstitial-tpn:6.5.36")
    implementation("com.thinkup.sdk:rewardedvideo-tpn:6.5.36")
    implementation("com.thinkup.sdk:splash-tpn:6.5.36")

    //Androidx (Necessary)
    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("androidx.browser:browser:1.4.0")

    //StartApp
    implementation("com.thinkup.sdk:adapter-tpn-startapp:6.5.36")
    implementation("com.startapp:inapp-sdk:5.2.4")

    //Vungle
    implementation("com.thinkup.sdk:adapter-tpn-vungle:6.5.36")
    implementation("com.vungle:vungle-ads:7.5.0")
    implementation("com.google.android.gms:play-services-basement:18.1.0")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //UnityAds
    implementation("com.thinkup.sdk:adapter-tpn-unityads:6.5.36")
    implementation("com.unity3d.ads:unity-ads:4.16.1")

    //Ironsource
    implementation("com.thinkup.sdk:adapter-tpn-ironsource:6.5.36")
    implementation("com.ironsource.sdk:mediationsdk:8.10.0")
    implementation("com.google.android.gms:play-services-appset:16.0.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-basement:18.1.0")

    //Bigo
    implementation("com.thinkup.sdk:adapter-tpn-bigo:6.5.36")
    implementation("com.bigossp:bigo-ads:5.5.1")

    //Pangle
    implementation("com.thinkup.sdk:adapter-tpn-pangle:6.5.36")
    implementation("com.pangle.global:pag-sdk:7.6.0.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.2.0")

    //Inmobi
    implementation("com.thinkup.sdk:adapter-tpn-inmobi:6.5.36")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:10.8.7")

    //TU Adx SDK(Necessary)
    implementation("com.thinkup.sdk:adapter-tpn-sdm:6.5.36.4")
    implementation("com.smartdigimkttech.sdk:smartdigimkttech-sdk:6.5.40")

    //Mintegral
    implementation("com.thinkup.sdk:adapter-tpn-mintegral:6.5.36")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.9.91")
    implementation("androidx.recyclerview:recyclerview:1.1.0")

    //Chartboost
    implementation("com.thinkup.sdk:adapter-tpn-chartboost:6.5.36")
    implementation("com.chartboost:chartboost-sdk:9.8.3")
    implementation("com.chartboost:chartboost-mediation-sdk:4.9.2")
    implementation("com.chartboost:chartboost-mediation-adapter-chartboost:4.9.8.1.0")
    implementation("com.jakewharton.retrofit:retrofit2-kotlinx-serialization-converter:1.0.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.10.0")
    implementation("com.squareup.okhttp3:okhttp:4.10.0")
    implementation("com.squareup.retrofit2:converter-scalars:2.9.0")
    implementation("com.squareup.retrofit2:retrofit:2.9.0")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.7.1")
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.5.1")

    //Fyber
    implementation("com.thinkup.sdk:adapter-tpn-fyber:6.5.36")
    implementation("com.fyber:marketplace-sdk:8.3.7")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

//Tramini
    implementation("com.thinkup.sdk:tramini-plugin-tpn:6.5.36")
    // Debugger UI Tools
    implementation("com.thinkup.sdk:debugger-ui:1.1.2")

    //firebase
    implementation(platform("com.google.firebase:firebase-bom:33.7.0"))
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-config")

    //upload
    implementation ("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.12.0")

    implementation ("com.google.android.gms:play-services-ads-identifier:18.0.1")







}